## tqdm 4.66.2

=== Makefile ===
# IMPORTANT: for compatibility with `python -m pymake [alias]`, ensure:
# 1. Every alias is preceded by @[+]make (eg: @make alias)
# 2. A maximum of one @make alias or command per line
# see: https://github.com/tqdm/py-make/issues/1

.PHONY:
	alltests
	all
	flake8
	test
	pytest
	testsetup
	testnb
	testcoverage
	testperf
	testtimer
	distclean
	coverclean
	prebuildclean
	clean
	toxclean
	install_dev
	install
	build
	buildupload
	pypi
	snap
	docker
	help
	none
	run

help:
	@python -m pymake -p

alltests:
	@+make testcoverage
	@+make testperf
	@+make flake8
	@+make testsetup

all:
	@+make alltests
	@+make build

flake8:
	@+pre-commit run -a flake8
	@+pre-commit run -a nbstripout

test:
	TOX_SKIP_ENV=perf tox --skip-missing-interpreters -p all
	tox -e perf

pytest:
	pytest

testsetup:
	@make README.rst
	@make tqdm/tqdm.1
	@make tqdm/completion.sh
	@make help

testnb:
	pytest tests_notebook.ipynb --cov=tqdm.notebook --cov-report=term -W=ignore --nbval --current-env --sanitize-with=.meta/nbval.ini

testcoverage:
	@make coverclean
	pytest tests_notebook.ipynb --cov=tqdm --cov-report= -W=ignore --nbval --current-env --sanitize-with=.meta/nbval.ini
	pytest -k "not perf" --cov=tqdm --cov-report=xml --cov-report=term --cov-append --cov-fail-under=80

testperf:
	# do not use coverage (which is extremely slow)
	pytest -k perf

testtimer:
	pytest

# another performance test, to check evolution across commits
testasv:
	# Test only the last 3 commits (quick test)
	asv run -j 8 HEAD~3..HEAD
	@make viewasv

testasvfull:
	# Test all the commits since the beginning (full test)
	asv run --skip-existing-commits -j 8 v1.0.0..HEAD
	@make testasv

viewasv:
	asv publish
	asv preview

tqdm/tqdm.1: .meta/.tqdm.1.md tqdm/cli.py tqdm/std.py
	# TODO: add to mkdocs.py
	python -m tqdm --help | tail -n+5 |\
    sed -r -e 's/\\/\\\\/g' \
      -e 's/^  (--.*)=<(.*)>  : (.*)$$/\n\\\1=*\2*\n: \3./' \
      -e 's/^  (--.*)  : (.*)$$/\n\\\1\n: \2./' \
      -e 's/  (-.*, )(--.*)  /\n\1\\\2\n: /' |\
    cat "$<" - |\
    pandoc -o "$@" -s -t man

tqdm/completion.sh: .meta/mkcompletion.py tqdm/std.py tqdm/cli.py
	@python .meta/mkcompletion.py

README.rst: .meta/.readme.rst tqdm/std.py tqdm/cli.py
	@python .meta/mkdocs.py

snapcraft.yaml: .meta/mksnap.py
	@python .meta/mksnap.py

.dockerignore:
	@+python -c "fd=open('.dockerignore', 'w'); fd.write('*\n!dist/*.whl\n')"

Dockerfile:
	@+python -c 'fd=open("Dockerfile", "w"); fd.write("FROM python:3.8-alpine\nCOPY dist/*.whl .\nRUN pip install -U $$(ls ./*.whl) && rm ./*.whl\nENTRYPOINT [\"tqdm\"]\n")'

distclean:
	@+make coverclean
	@+make prebuildclean
	@+make clean
prebuildclean:
	@+python -c "import shutil; shutil.rmtree('build', True)"
	@+python -c "import shutil; shutil.rmtree('dist', True)"
	@+python -c "import shutil; shutil.rmtree('tqdm.egg-info', True)"
	@+python -c "import shutil; shutil.rmtree('.eggs', True)"
	@+python -c "import os; os.remove('tqdm/_dist_ver.py') if os.path.exists('tqdm/_dist_ver.py') else None"
coverclean:
	@+python -c "import os; os.remove('.coverage') if os.path.exists('.coverage') else None"
	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('.coverage.*')]"
	@+python -c "import shutil; shutil.rmtree('tests/__pycache__', True)"
	@+python -c "import shutil; shutil.rmtree('benchmarks/__pycache__', True)"
	@+python -c "import shutil; shutil.rmtree('tqdm/__pycache__', True)"
	@+python -c "import shutil; shutil.rmtree('tqdm/contrib/__pycache__', True)"
	@+python -c "import shutil; shutil.rmtree('tqdm/examples/__pycache__', True)"
clean:
	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('*.py[co]')]"
	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tests/*.py[co]')]"
	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('benchmarks/*.py[co]')]"
	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('examples/*.py[co]')]"
	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tqdm/*.py[co]')]"
	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tqdm/contrib/*.py[co]')]"
toxclean:
	@+python -c "import shutil; shutil.rmtree('.tox', True)"


submodules:
	git clone git@github.com:tqdm/tqdm.wiki wiki
	git clone git@github.com:tqdm/tqdm.github.io docs
	git clone git@github.com:conda-forge/tqdm-feedstock feedstock
	cd feedstock && git remote add autotick-bot git@github.com:regro-cf-autotick-bot/tqdm-feedstock

install:
	python -m pip install .
install_dev:
	python -m pip install -e .
install_build:
	python -m pip install -r .meta/requirements-build.txt
install_test:
	python -m pip install -r .meta/requirements-test.txt
	pre-commit install

build:
	@make prebuildclean
	@make testsetup
	python -m build
	python -m twine check dist/*

pypi:
	python -m twine upload dist/*

buildupload:
	@make build
	@make pypi

snap:
	@make -B snapcraft.yaml
	snapcraft
docker:
	@make build
	@make .dockerignore
	@make Dockerfile
	docker build . -t tqdm/tqdm
	docker tag tqdm/tqdm:latest tqdm/tqdm:$(shell docker run -i --rm tqdm/tqdm -v)
none:
	# used for unit testing

run:
	python -Om tqdm --help

=== debian/changelog ===
tqdm (4.66.2-2) sid; urgency=medium

  * Uploading to sid.
  * Adding python3-dask to build-depends for additional tests.
  * Running wrap-and-sort on debian files.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 02 Mar 2024 09:52:28 +0100

tqdm (4.66.2-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 4.66.2.
  * Adding rules-requires-root field.
  * Adding vcs fields.
  * Shortening standards-version field.
  * Updating homepage field.
  * Adding upstream-contact field.
  * Updating source field.
  * Harmonizing author information in copyright.
  * Removing uneeded embedding of MPL copy in copyright.
  * Removing dont-use-setuptools-scm.patch, not needed anymore with new
    upstream version.
  * Removing pandas2p1_ignore_warnings.patch, not needed anymore with new
    upstream version.
  * Removing python3p12_compat.patch, not needed anymore with new upstream
    version.
  * Using dedidated debhelper files for manpages installation.
  * Using dedidated debhelper files for docs installation.
  * Using dedidated debhelper files for examples installation.
  * Reordering dh call in rules for consistency.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 02 Mar 2024 09:46:32 +0100

tqdm (4.64.1-4) sid; urgency=medium

  * Uploading to sid.
  * New maintainer (Closes: #1065236).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 02 Mar 2024 09:21:39 +0100

tqdm (4.64.1-3) unstable; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 01:37:38 -0500

tqdm (4.64.1-2) unstable; urgency=medium

  * Team upload

  [ Rebecca N. Palmer ]
  * Tests: ignore some pandas 2.1 warnings; Closes: #1053946
  * Stop using deprecated utcfromtimestamp; Closes: #1058160

  [ Andreas Tille ]
  * Fix d/copyright

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 29 Jan 2024 20:30:45 +0000

tqdm (4.64.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump Standards-Version to 4.6.2.0 (no changes needed)
    - build using pybuild-plugin-pyproject
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sat, 31 Dec 2022 12:11:33 -0500

=== debian/control ===
Source: tqdm
Section: python
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 debhelper-compat (= 13),
 pybuild-plugin-pyproject,
 python3-all,
 python3-dask <!nocheck>,
 python3-docopt,
 python3-pandas <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-timeout <!nocheck>,
 python3-rich <!nocheck>,
 python3-setuptools,
 python3-tk <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://tqdm.github.io
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/tqdm
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/tqdm

Package: python3-tqdm
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: fast, extensible progress bar for Python 3 and CLI tool
 tqdm (read taqadum, تقدّم) means “progress” in Arabic.  tqdm instantly makes
 your loops show a smart progress meter, just by wrapping any iterable with
 "tqdm(iterable)".
 .
 This package contains the Python 3 version of tqdm and its command-line tool.

## tqdm 4.66.4

=== debian/changelog ===
tqdm (4.66.4-2) sid; urgency=medium

  * Uploading to sid.
  * Rebuilding without changes with python3.12 to get regenerated metadata
    (Closes: #1077191).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 27 Jul 2024 00:32:08 +0200

tqdm (4.66.4-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 4.66.4:
    - any optional non-boolean CLI arguments are passed through python's eval,
      allowing arbitrary code execution [CVE-2024-34062] (Closes: #1070372).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 04 May 2024 18:02:53 +0200

tqdm (4.66.2-3) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards-version 4.7.0.
  * Adding python3-setuptools-scm to build-depends so tqdm outputs its
    version properly, thanks to Michael R. Crusoe <crusoe@debian.org>
    (Closes: #1069896).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 27 Apr 2024 04:54:43 +0200

## tqdm 4.66.5

=== debian/changelog ===
tqdm (4.66.5-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 4.66.5.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 05 Aug 2024 10:28:23 +0200

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,10 @@
  python3-pytest-timeout <!nocheck>,
  python3-rich <!nocheck>,
  python3-setuptools,
+ python3-setuptools-scm,
  python3-tk <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://tqdm.github.io
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/tqdm
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/tqdm

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS=--verbose -k 'not test_comppath and not test_imap and not test_manpath and not test_keras'

%:
	dh ${@} --buildsystem=pybuild --with python3

override_dh_compress:
	dh_compress -X.py

## tqdm 4.67.0

=== debian/changelog ===
tqdm (4.67.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 4.67.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 09 Nov 2024 09:16:17 +0100

## tqdm 4.67.1

=== Makefile ===
--- 
+++ 
@@ -61,11 +61,11 @@
 	@make help
 
 testnb:
-	pytest tests_notebook.ipynb --cov=tqdm.notebook --cov-report=term -W=ignore --nbval --current-env --sanitize-with=.meta/nbval.ini
+	pytest tests_notebook.ipynb --cov=tqdm.notebook --cov-report=term -W=ignore --nbval --nbval-current-env --nbval-sanitize-with=.meta/nbval.ini
 
 testcoverage:
 	@make coverclean
-	pytest tests_notebook.ipynb --cov=tqdm --cov-report= -W=ignore --nbval --current-env --sanitize-with=.meta/nbval.ini
+	pytest tests_notebook.ipynb --cov=tqdm --cov-report= -W=ignore --nbval --nbval-current-env --nbval-sanitize-with=.meta/nbval.ini
 	pytest -k "not perf" --cov=tqdm --cov-report=xml --cov-report=term --cov-append --cov-fail-under=80
 
 testperf:

=== debian/changelog ===
tqdm (4.67.1-6) sid; urgency=medium

  * Adding patch from Rebecca N. Palmer <rebecca_palmer@zoho.com> to
    ignore warnings in test with pandas 2.3 to fix FTBFS (Closes:
    #1114885).

 -- Daniel Baumann <daniel@debian.org>  Thu, 18 Sep 2025 14:48:34 +0200

tqdm (4.67.1-5) sid; urgency=medium

  * Simplifying watch file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 07:58:04 +0200

tqdm (4.67.1-4) sid; urgency=medium

  * Installing tqdm bash-completion.
  * Removing spurious copy of debian package files into python3-tqdm by
    dh_python3.

 -- Daniel Baumann <daniel@debian.org>  Wed, 16 Apr 2025 16:49:10 +0200

tqdm (4.67.1-3) sid; urgency=medium

  * Updating to standards version 4.7.1.
  * Updating to standards version 4.7.2.

 -- Daniel Baumann <daniel@debian.org>  Wed, 19 Mar 2025 21:05:32 +0100

tqdm (4.67.1-2) sid; urgency=medium

  * Updating source url in copyright.
  * Updating vcs fields.
  * Trimming debian changelog.
  * Updating email address.

 -- Daniel Baumann <daniel@debian.org>  Wed, 05 Feb 2025 19:28:09 +0100

tqdm (4.67.1-1) sid; urgency=medium

  * Merging upstream version 4.67.1.

 -- Daniel Baumann <daniel@debian.org>  Mon, 25 Nov 2024 08:20:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: tqdm
 Section: python
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Daniel Baumann <daniel@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  pybuild-plugin-pyproject,
@@ -17,10 +17,10 @@
  python3-setuptools-scm,
  python3-tk <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://tqdm.github.io
-Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/tqdm
-Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/tqdm
+Vcs-Browser: https://forgejo.debian.net/python/tqdm
+Vcs-Git: https://forgejo.debian.net/python/tqdm
 
 Package: python3-tqdm
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,14 @@
 %:
 	dh ${@} --buildsystem=pybuild --with python3
 
+execute_after_dh_auto_install:
+	# bash-completion
+	mkdir -p debian/python3-tqdm/usr/share/bash-completion/completions
+	cp tqdm/completion.sh debian/python3-tqdm/usr/share/bash-completion/completions/tqdm
+
+execute_after_dh_python3:
+	# removing unused files
+	rm -rf debian/python3-tqdm/usr/lib/python3/dist-packages/debian
+
 override_dh_compress:
 	dh_compress -X.py

=== debian/watch ===
version=4
https://github.com/tqdm/tqdm/tags .*/v?(\d.*)@ARCHIVE_EXT@

## tqdm 4.67.2

=== debian/changelog ===
tqdm (4.67.2-1) sid; urgency=medium

  * Updating to standards version 4.7.3.
  * Merging upstream version 4.67.2.
  * Updating years in copyright for 2026.
  * Removing pandas.patch, not needed anymore.

 -- Daniel Baumann <daniel@debian.org>  Mon, 02 Feb 2026 05:45:23 +0100

tqdm (4.67.1-7) sid; urgency=medium

  * Removing rules-requires-root, not needed anymore.
  * Marking python3-tqdm multi-arch foreign.
  * Adding section in for binary packages.
  * Updating watch file to version 5.

 -- Daniel Baumann <daniel@debian.org>  Sun, 30 Nov 2025 19:29:49 +0100

=== debian/control ===
--- 
+++ 
@@ -16,14 +16,15 @@
  python3-setuptools,
  python3-setuptools-scm,
  python3-tk <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://tqdm.github.io
 Vcs-Browser: https://forgejo.debian.net/python/tqdm
 Vcs-Git: https://forgejo.debian.net/python/tqdm
 
 Package: python3-tqdm
+Section: python
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${python3:Depends},

## tqdm 4.67.3

=== debian/changelog ===
tqdm (4.67.3-1) sid; urgency=medium

  * Merging upstream version 4.67.3.

 -- Daniel Baumann <daniel@debian.org>  Thu, 05 Feb 2026 04:23:07 +0100

tqdm (4.67.2-2) sid; urgency=medium

  * Updating homepage field.
  * Updating clean in rules to fix FTBFS twice in a row (Closes:
    #1045657).

 -- Daniel Baumann <daniel@debian.org>  Wed, 04 Feb 2026 19:46:28 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python3-setuptools-scm,
  python3-tk <!nocheck>,
 Standards-Version: 4.7.3
-Homepage: https://tqdm.github.io
+Homepage: https://github.com/tqdm/tqdm
 Vcs-Browser: https://forgejo.debian.net/python/tqdm
 Vcs-Git: https://forgejo.debian.net/python/tqdm

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 
 %:
 	dh ${@} --buildsystem=pybuild --with python3
+
+execute_after_dh_auto_clean:
+	# help pybuild
+	rm -rf *.egg-info
 
 execute_after_dh_auto_install:
 	# bash-completion

=== debian/watch ===
Version: 5

Template: Github
Owner: tqdm
Project: @PACKAGE@
